/*===========================================================================
  xmlcfg.h
    Global definitions + configuration for GNU libiconv support etc. 
===========================================================================*/
#ifndef XMLCFG__H
#define XMLCFG__H

#ifdef ICONV_SUPPORT
	#include "iconv.h"
#else
/*   definitions for BufferedIStream encoding callback's encerr error values 
    (same as errnos set by iconv function) */
	#include <errno.h>
	#ifndef E2BIG
		/* there isn't enough space in outbuf for multibyte char -
			request for enlarge the buffer */
		#define E2BIG 7
	#endif
	#ifndef EINVAL
		/* partial character in inbuf */
		#define EINVAL 22
	#endif
	#ifndef EILSEQ
		/* illegal character in inbuf */
		#define EILSEQ 42
	#endif
#endif /* ICONV_SUPPORT */

/* util routines: */
#ifndef HAS_STRICMP
extern int stricmp(const char *s1, const char *s2);
#endif
extern unsigned char* xmlMemdup(unsigned char* buf, int len);

#endif /* XMLCFG__H */


